import { FieldType, InputFieldType } from "../..";
/**
 * Create a nullable type from an existing one
 * @param type The type to convert
 */
export declare function Nullable<Type extends FieldType | InputFieldType = FieldType>(type: Type): NullableType<Type>;
export declare class NullableType<Type extends FieldType | InputFieldType = FieldType> {
    private _type;
    get type(): Type;
    constructor(type: Type);
}
