import { ResolveFunction, KeyValue } from "../..";
import { GQLElement } from "../../classes/GQLElement";
export declare class Middleware<MetaType = KeyValue> extends GQLElement<ResolveFunction, any, MetaType> {
    private _function;
    get function(): any;
    /**
     * Set the function of your middleware
     * @param fn The middleware function
     */
    setFunction(fn: ResolveFunction): void;
    protected constructor(fn: ResolveFunction, name?: string);
    static create(fn: ResolveFunction, name?: string): Middleware<KeyValue>;
}
