import { FieldType, InputFieldType } from "../..";
/**
 * Create a not nullable type from an existing one
 * @param type The type to convert
 */
export declare function Required<Type extends FieldType | InputFieldType = FieldType>(type: Type): RequiredType<Type>;
export declare class RequiredType<Type extends FieldType | InputFieldType = FieldType> {
    private _type;
    get type(): Type;
    constructor(type: Type);
}
